Rated 4 out of 5 stars

2.6.1 is messed up with Thunderbird 24.0 on Fedora 19.

I'm not happy about the fact that Lightning just transparently broke on Thunderbird 24.0. If there is a known incompatibility then Lightning should just refuse to work rather than come up with no appointments in the calendar--that's terrifying for the user.

I've applied the workaround to downgrade back to 2.6 and it seems to be working okay, but this should have been handled better.

This review is for a previous version of the add-on (2.6.1). 

(Sorry, initially wrong reply). I agree this should be the case, but addons.mozilla.org doesn't allow us to select the minor versions for min/maxversions. I have asked the addons team to make this happen.